#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <errno.h>

#define MAX_FILENAME 4096

int main(void)
{
    char filename[MAX_FILENAME];
    sprintf(filename, "client_app_server_%u_appserver_process.log", getpid());
    
    int output_fd = open(filename, O_WRONLY | O_CREAT | O_APPEND, 0644);
   
    /* Redirect STDOUT to file */
    if (dup2(output_fd, STDOUT_FILENO) == -1)
    {
        close(output_fd);
        fprintf(stderr, "Cannot redirect STDOUT to file %s\n", filename);
    }
      
    char* args[] = {"java", "PidPrinter", NULL};
    if (execvp("java", args) < 0) {
        fprintf(stderr, "Error spawning command: %s\n", strerror(errno));
    }
    return 0;
}
